package txnsync.ejb;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.transaction.TransactionSynchronizationRegistry;

@Stateless
public class MyBean implements MyLocal {

	@Override
	@TransactionAttribute(TransactionAttributeType.REQUIRED)
	public void foo() {
		TransactionSynchronizationRegistry reg = (TransactionSynchronizationRegistry)TxnSyncUtil.lookupJNDI("java:comp/TransactionSynchronizationRegistry");
		reg.registerInterposedSynchronization(new MySynchronization());
	}
}
